List service next pickup¶
Use /services/next-pickup to retrieve next scheduled pickup details of the services associated with your account.
URI¶
GET /api/v1/customers/{customerId}/services/next-pickup
Headers¶
| Parameter | Mandatory | Data Type | Allowed Values | Description |
|---|---|---|---|---|
| Request-Tracking-Id | Y | String | Unique Identifier for each request | |
| Authorization | Y | String | Access token | |
| ClientId | Y | String | Will be provided by WM | |
| Accept | N | String | application/json or application/xml | Default is application/json |
Request Parameters¶
Pass the following parameters in the request.
| Parameter | Mandatory | Data Type | Type | Description |
|---|---|---|---|---|
| customerId | Y | Number | path | Unique Customer Identifier |
Response Fields¶
| Parameter | Data Type | Description |
|---|---|---|
| request_tracking_id | String | Unique Identifier for each request |
| services | Object | The services details |
| name | String | Name of the Service |
| pickup_schedule | String | Day of week for trash pickup |
| next_pickup | String | Next service date |
Tip
For information about how to test, see How To Test
Sample Request¶
https://api.wm.com/v1/customers/123456789/services/next-pickup
Sample Response¶
{ "request_tracking_id": "123", "services": [ { "name": "Hauling - 96 Gallon REL Toter for MSW Residential", "pickup_schedule": "Every Monday and Thursday", "next_pickup": "Thursday, Feb 15 , 2018" }, { "name": "Hauling - Recycling Bin for Recycle Material", "pickup_schedule": "Every Monday", "next_pickup": "Monday, Feb 19 , 2018" } ]}